Bug 1677147 (CVE-2019-10224) - CVE-2019-10224 389-ds-base: using dscreate in verbose mode results in information disclosure
Summary: CVE-2019-10224 389-ds-base: using dscreate in verbose mode results in informa...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10224
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1654059 1677148
Blocks: 1677226
TreeView+ depends on / blocked
 
Reported: 2019-02-14 07:08 UTC by msiddiqu
Modified: 2019-11-06 00:52 UTC (History)
8 users (show)

Fixed In Version: 389-ds-base 1.4.1.3
Doc Type: If docs needed, set a value
Doc Text:
When executed in verbose mode, the dscreate and dsconf commands may display sensitive information, such as the Directory Manager password. An attacker, able to see the screen or record the terminal standard error output, could use this flaw to gain sensitive information.
Clone Of:
Environment:
Last Closed: 2019-11-06 00:52:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3401 None None None 2019-11-05 20:46:00 UTC

Description msiddiqu 2019-02-14 07:08:58 UTC
When dscreate is executed in verbose mode, it prints Directory Manager's password to stderr. The same happens with dsconf when I change the password.

Version-Release number of selected component (if applicable): 
389-ds-base-1.4.0.19-2.

How reproducible: 
always

Steps to Reproduce: 
1. dscreate -v interactive 
2. dsconf -v localhost directory_manager password_change

Actual results:

# dscreate -v interactive
...
DEBUG: cn=config set REPLACE: ('nsslapd-rootpw', 'Directory_Manager_Password')

# dsconf -v localhost directory_manager password_change
... 
Enter new directory manager password : 
CONFIRM - Enter new directory manager password : 
DEBUG: cn=config set REPLACE: ('nsslapd-rootpw', 'new_password')

Expected results:
Actual value should not be printed in the debug logs. Python logging module supports filters that should be used to redact sensitive information from the logs

Reference: 

https://bugzilla.redhat.com/show_bug.cgi?id=1654059

Comment 1 msiddiqu 2019-02-14 07:10:14 UTC
Created 389-ds-base tracking bugs for this issue:

Affects: fedora-all [bug 1677148]

Comment 5 Cedric Buissart 🐶 2019-05-31 08:22:54 UTC
Upstream fix :
https://pagure.io/389-ds-base/c/632ecb90d96ac0535656f5aaf67fd2be4b81d310

Comment 7 Cedric Buissart 🐶 2019-05-31 08:45:30 UTC
External References:

https://pagure.io/389-ds-base/issue/50251

Comment 8 Cedric Buissart 🐶 2019-05-31 09:43:55 UTC
Acknowledgments:

Name: Viktor Ashirov (Red Hat)

Comment 10 errata-xmlrpc 2019-11-05 20:45:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3401 https://access.redhat.com/errata/RHSA-2019:3401

Comment 11 Product Security DevOps Team 2019-11-06 00:52:11 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10224


Note You need to log in before you can comment on or make changes to this bug.